Summary:	Fast arbitrary precision correctly-rounded decimal floating point arithmetic
Summary(pl.UTF-8):	Szybka arytmetyka zmiennoprzecinkowa dowolnej precyzji z właściwym zaokrąglaniem
Name:		mpdecimal
Version:	2.4.2
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: http://www.bytereef.org/mpdecimal/download.html
Source0:	http://www.bytereef.org/software/mpdecimal/releases/%{name}-%{version}.tar.gz
# Source0-md5:	aa63cab5d06a96855a44da2db90a29d9
URL:		http://www.bytereef.org/mpdecimal/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmpdec is a fast C/C++ library for correctly-rounded arbitrary
precision decimal floating point arithmetic. It is a complete
implementation of Mike Cowlishaw/IBM's General Decimal Arithmetic
Specification.

%description -l pl.UTF-8
libmpdec to szybka biblioteka C/C++ do arytmetyki zmiennoprzecinkowej
dowolnej precyzji z poprawnym zaokrąglaniem. Jest to pełna
implementacja specyfikacji Mike'a Cowlishawa/IBM General Decimal
Arithmetic.

%package devel
Summary:	Header files for libmpdec library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libmpdec
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libmpdec library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libmpdec.

%package static
Summary:	Static libmpdec library
Summary(pl.UTF-8):	Statyczna biblioteka libmpdec
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmpdec library.

%description static -l pl.UTF-8
Statyczna biblioteka libmpdec.

%package apidocs
Summary:	libmpdec API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmpdec
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for libmpdec library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmpdec.

%prep
%setup -q

%build
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/mpdecimal

ln -sf $(basename $RPM_BUILD_ROOT%{_libdir}/libmpdec.so.*.*) $RPM_BUILD_ROOT%{_libdir}/libmpdec.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.txt LICENSE.txt README.txt
%attr(755,root,root) %{_libdir}/libmpdec.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpdec.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpdec.so
%{_includedir}/mpdecimal.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libmpdec.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/*
%changelog
* Wed May 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mpdecimal.git;a=log;h=master

* Tue May 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 8595123
- updated to 2.4.2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> c752abb
- x32 rebuild
- release 2 (by relup.sh)

* Mon Oct 20 2014 Jakub Bogusz <qboosh@pld-linux.org> eacca10
- updated to 2.4.1 (version used in Python 3.4; note: soname changed)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> f3081e4
- noarch apidocs

* Mon Dec 03 2012 Jakub Bogusz <qboosh@pld-linux.org> 7f8f325
- new

